<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::StringInterface Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3f3117095c1bff9d46177279d3fb79ea">mParamDict</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#abaa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
